VERSION:(1)

NAME
PyNAST - alignment of short DNA sequences

SYNOPSIS
pynast [options] {-i input_fp -t template_fp}

DESCRIPTION
[] indicates optional input (order unimportant) {} indicates required input (order unimportant)

  Example usage:

    pynast -i my_input.fasta -t my_template.fasta

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-t TEMPLATE_FP, --template_fp=TEMPLATE_FP
    path to template alignment file [REQUIRED]

-i INPUT_FP, --input_fp=INPUT_FP
    path to input fasta file [REQUIRED]

-v, --verbose
    Print status and other information during execution [default: False]

-p MIN_PCT_ID, --min_pct_id=MIN_PCT_ID
    minimum percent sequence identity to consider a sequence a match [default: 75.0]

-l MIN_LEN, --min_len=MIN_LEN
    minimum sequence length to include in NAST alignment [default: 1000]

-m PAIRWISE_ALIGNMENT_METHOD, --pairwise_alignment_method=PAIRWISE_ALIGNMENT_METHOD
    method for performing pairwise alignment [default: uclust]

-a FASTA_OUT_FP, --fasta_out_fp=FASTA_OUT_FP
    path to store resulting alignment file [default: derived from input filepath]

-g LOG_FP, --log_fp=LOG_FP
    path to store log file [default: derived from input filepath]

-f FAILURE_FP, --failure_fp=FAILURE_FP
    path to store file of seqs which fail to align [default: derived from input filepath]

-e MAX_E_VALUE, --max_e_value=MAX_E_VALUE
    Depreciated. Will be removed in PyNAST 1.2

-d BLAST_DB, --blast_db=BLAST_DB
    Depreciated. Will be removed in PyNAST 1.2

SEE ALSO
http://pynast.sourceforge.net